#### D.12.3.5 multi

Procedure from library `hyperel.lib` (see hyperel_lib).

Usage:
  multi(a,b,c,d,h,f);

Return:
  list L with L[1]-L[2]y=(a(x)-b(x)y)*(c(x)-d(x)y) in IF[C]

Note:
  Curve C: y^2+h(x)y=f(x) is defined over basering.

Example:

    LIB "hyperel.lib";
    ring R=7,x,dp;
    poly h=x;
    poly f=x5+5x4+6x2+x+3;
    // hyperelliptic curve y^2 + h*y = f
    poly a=x2+1;
    poly b=x;
    poly c=5;
    poly d=-x;
    multi(a,b,c,d,h,f);
    ==> [1]:
    ==>    -x7+2x6+x4-x3+2x2-2
    ==> [2]:
    ==>    -2x3-3x

User manual for Singular version 4.4.1, 2025, generated by texi2html.